%define srcname ktp-common-internals
%define rel 1
%define major 5
%define version_lib 0.6

Name: telepathy-kde-common-internals
Version: %{version_lib}.0
Release: %mkrel %{rel}
Summary: KDE Telepathy Parts
Group:   System/Libraries
License: LGPLv2
URL:     https://projects.kde.org/projects/extragear/network/telepathy/ktp-common-internals
Source0: ftp://ftp.gtlib.cc.gatech.edu/pub/kde/unstable/kde-telepathy/%version/src/%srcname-%version.tar.bz2
Patch0:  ktp-common-internals-0.5.80-fix-cmake.patch
BuildRequires: pkgconfig(TelepathyQt4) >= 0.9.2.1
BuildRequires: kdelibs4-devel
BuildRequires: pkgconfig(TelepathyLoggerQt4)
BuildRequires: boost-devel

%description
This package provides the commons part used by telepathy kde.


#------------------------------------------------------------------------------
%package core
Summary: Commons files used by telepathy kde
Group:   Graphical desktop/KDE 
Conflicts: %{name}-translations < 0.5.0
Obsoletes: %{name}-translations < 0.5.0
Conflicts: %{name} < 0.5.0
Obsoletes: %{name} < 0.5.0
Conflicts: telepathy-kde-contact-list < 0.4.0

%description core
Commons files used by telepathy kde

%files  core -f ktp-common-internals.lang
%{_kde_iconsdir}/hicolor/*/*/*.png
%{_kde_appsdir}/ktelepathy/ktelepathy.notifyrc
%{_kde_iconsdir}/hicolor/scalable/apps/telepathy-kde.svgz
%{_kde_libdir}/kde4/imports/org/kde/telepathy

#------------------------------------------------------------------------------

%define libktpmodelsprivate %mklibname ktpmodelsprivate %{major}

%package -n %{libktpmodelsprivate}
Summary: Runtime library for %{name}
Group: System/Libraries

%description -n %{libktpmodelsprivate}
Runtime library for %{name}

%files -n %{libktpmodelsprivate}
%{_kde_libdir}/libktpmodelsprivate.so.%{major}
%{_kde_libdir}/libktpmodelsprivate.so.%{version_lib}*

#------------------------------------------------------------------------------

%define libktpcommoninternalsprivate %mklibname ktpcommoninternalsprivate %{major}

%package -n %{libktpcommoninternalsprivate}
Summary: Runtime library for %{name}
Group: System/Libraries

%description -n %{libktpcommoninternalsprivate}
Runtime library for %{name}

%files -n %{libktpcommoninternalsprivate}
%{_kde_libdir}/libktpcommoninternalsprivate.so.%{major}
%{_kde_libdir}/libktpcommoninternalsprivate.so.%{version_lib}*

#------------------------------------------------------------------------------

%define libktpwidgetsprivate %mklibname ktpwidgetsprivate %{major}

%package -n %{libktpwidgetsprivate}
Summary: Runtime library for %{name}
Group: System/Libraries
%description -n %{libktpwidgetsprivate}
Runtime library for %{name}

%files -n %{libktpwidgetsprivate}
%{_kde_libdir}/libktpwidgetsprivate.so.%{major}
%{_kde_libdir}/libktpwidgetsprivate.so.%{version_lib}*

#------------------------------------------------------------------------------

%define devel %mklibname %{name} -d

%package -n %{devel}
Summary: Headers files for %{name}
Group: Development/KDE and Qt 
Provides: %name-devel = %version-%release
Provides: lib%{name}-devel = %version-%release
Requires: %{libktpmodelsprivate} = %version-%release
Requires: %{libktpcommoninternalsprivate} = %version-%release
Requires: %{libktpwidgetsprivate} = %version-%release

%description -n %{devel}
Headers files for %{name}

%files -n %{devel}
%{_kde_includedir}/KTp/
%{_kde_libdir}/libktpmodelsprivate.so
%{_kde_libdir}/libktpcommoninternalsprivate.so
%{_kde_libdir}/libktpwidgetsprivate.so
%{_kde_bindir}/ktp-debugger

#------------------------------------------------------------------------------

%prep
%setup -q -n %{srcname}-%{version}
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4
%make

%install
%makeinstall_std -C build
%find_lang ktp-common-internals 


%changelog

* Wed Apr 03 2013 mikala <mikala> 0.6.0-1.mga3
+ Revision: 407384
- Update tarball to 0.6.0

* Sat Mar 16 2013 neoclust <neoclust> 0.5.80-2.mga3
+ Revision: 403374
- Core package is not noarch anymore

* Wed Mar 13 2013 neoclust <neoclust> 0.5.80-1.mga3
+ Revision: 402605
- New version

* Wed Feb 20 2013 mikala <mikala> 0.5.3-1.mga3
+ Revision: 399544
- Update tarball to 0.5.3

* Mon Jan 14 2013 umeabot <umeabot> 0.5.2-3.mga3
+ Revision: 384264
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 lmenut <lmenut> 0.5.2-2.mga3
+ Revision: 340043
- Add missing conflicts

* Tue Dec 18 2012 mikala <mikala> 0.5.2-1.mga3
+ Revision: 332470
- Update tarball to 0.5.2

* Tue Oct 16 2012 mikala <mikala> 0.5.1-1.mga3
+ Revision: 306884
- Update tarball to 0.5.1

* Fri Aug 31 2012 mikala <mikala> 0.5.0-2.mga3
+ Revision: 286644
- Add an obsoletes tag to ease upgrade

* Fri Aug 31 2012 mikala <mikala> 0.5.0-1.mga3
+ Revision: 285939
- use conflicts instead of obsoletes to allow update
  This will affect only cauldron where %%{name} was used as a ?\194?\171 real ?\194?\187 arch package & can't be obsoleted by a noarch package
- Update tarball to 0.5.0
- Merge -translations packages & the ?\194?\171 main ?\194?\187 package in a noarch package (-core)

* Tue Jul 17 2012 lmenut <lmenut> 0.4.0-2.mga3
+ Revision: 272016
- add Conflicts against telepathy-kde-contact-list < 0.4.0
  due to file conflicts

* Tue Jul 17 2012 neoclust <neoclust> 0.4.0-1.mga3
+ Revision: 271793
- New version 0.4.0

* Sun Jan 29 2012 mikala <mikala> 0.3.0-1.mga2
+ Revision: 202924
- Fix license tag
- Add URL
- Update SOURCE0
- Remove requires for translation on lib
- Add a noarch package for translations
- imported package telepathy-kde-common-internals

